Форум сообщества Runtu.org
Июнь 02, 2020, 17:27:42 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Новости:
   Начало   Помощь Поиск Войти Регистрация  
Страниц: 1   Вниз
  Печать  
Автор Тема: Локальная сеть через интернет.  (Прочитано 3944 раз)
0 Пользователей и 1 Гость смотрят эту тему.
ceedee
Прохожий
*
Offline Offline

Сообщений: 4


« : Март 29, 2011, 00:47:46 »

На работе стоит Linux Runtu, дома Win XP. На обоих машинах интернет с динамическими IP. Требуется объединить два компьютера в одну локальную сеть, через интернет. Если бы на работе была ХР, то проблем бы не было, поставил бы Hamachi и нет проблем. А так проблема.. Нашел Hamachi для Linux, вот ссылка:
http://files.hamachi.cc/linux/hamachi-0.9.9.9-20-lnx.tar.gz
Читаю README, пытаюсь делать все по инструкции. Распаковываю архив, захожу в него через Терминал, ввожу 'make install' и Терминал мне выдает, что такой команды не существует. Как быть? Без вашей помощи не разберусь...
Записан
FSnow
Global Moderator
*****
Offline Offline

Сообщений: 689



« Ответ #1 : Март 29, 2011, 01:41:31 »

Код:
sudo apt-get install build-essential
Записан
HsH
Administrator
*****
Offline Offline

Сообщений: 2825



« Ответ #2 : Март 29, 2011, 07:09:47 »

Нашел Hamachi для Linux, вот ссылка: http://files.hamachi.cc/linux/hamachi-0.9.9.9-20-lnx.tar.gz
     Это устаревшая версия, которая не будет работать корректно.

Код:
wget -c https://secure.logmein.com/labs/logmein-hamachi_2.0.1.13-1_i386.deb && sudo dpkg -i logmein*.deb
sudo add-apt-repository ppa:webupd8team/haguichi
sudo aptitude update
sudo aptitude install haguichi

  Приведённая выше инструкция - для дистрибутивов на базе 10.04.
Записан
ceedee
Прохожий
*
Offline Offline

Сообщений: 4


« Ответ #3 : Март 29, 2011, 15:44:45 »

После ввода sudo aptitude install haguichi
Вот что выдает:

Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях       
Инициализация состояний пакетов... Готово         
Построение базы данных тегов... Готово             
Нет подходящей версии для haguichi
Нет подходящей версии для haguichi
Следующие пакеты будут автоматически удержаны:
  chromium-browser-inspector chromium-codecs-ffmpeg
Следующие пакеты оставлены не обновлёнными:
  chromium-browser chromium-browser-l10n
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 4 пакетов не обновлено.
Необходимо получить 0Б архивов. После распаковки 0Б будет занято.
Запись информации расширенных состояний... Готово
Чтение списков пакетов... Готово                                       
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях       
Инициализация состояний пакетов... Готово         
Построение базы данных тегов... Готово   


Что это все значит?
Записан
HsH
Administrator
*****
Offline Offline

Сообщений: 2825



« Ответ #4 : Март 29, 2011, 16:03:37 »

Что это все значит?

    Это значит, что у вас не добавился репозиторий, содержащий указанную программу.

Какую версию дистрибутива используете? Команда add-apt-repository есть в версиях, начиная с Karmic Koala 9.10. По сути, haguichi - это графический менеджер для hamachi, его наличие не обязательно для работоспособности сети.

  Утилита haguichi написана на Mono, компоненты которого по умолчанию отсутствуют в сборках Runtu. При необходимости они будут установлены из репозитория.
Записан
ceedee
Прохожий
*
Offline Offline

Сообщений: 4


« Ответ #5 : Март 29, 2011, 16:10:01 »

Не знаю, какая у меня версия. сейчас качаю Runtu LITE 10.04 - 201103, установлю ее и на ней буду пробовать. По всей видимости у меня старая какая-то версия. Как попробую - отпишусь. Спасибо за ответы.
Записан
ceedee
Прохожий
*
Offline Offline

Сообщений: 4


« Ответ #6 : Март 29, 2011, 18:32:47 »

Спасибо большое, все заработало. Улыбающийся
Записан
Страниц: 1   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006, Simple Machines Valid XHTML 1.0! Valid CSS!